<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

if (file_exists('../__incfiles/core.php')) {
	require_once('../__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

set_time_limit(0);

define('TIMESTART', microtime(true));

if (!$admin) header('Location: '.ADMIN);

require_header('Маркировка картинок');

if (isset($_POST['submit'])) {

	$error = '';

	if (empty($_POST['text'])) {
		$error .= 'Введите текст маркера!<br/>';
	}
	
	if (empty($_POST['size']) || !is_numeric($_POST['size'])) {
		$error .= 'Введите размер шрифта!<br/>';
	}
	
	if ($error) {
		echo '<div class="error">'.$error.'</div>';
	} else {

		$sql = mysql_query("SELECT (`path`) FROM `".SQLprefixTable."files` WHERE `path` LIKE '%.jpg' OR `path` LIKE '%.jpe' OR `path` LIKE '%.jpeg' OR `path` LIKE '%.gif' OR `path` LIKE '%.png'");
		$all = mysql_num_rows($sql);
		
		$count = 0;
		
		while ($row = mysql_fetch_row($sql)) {
			$filepath = '../'.$row[0];

			$path = pathinfo($row[0]);
			
			if ($path['extension'] == 'gif') {
				$create = ImageCreateFromGif($filepath);
				$type = 'ImageGif';
			}
			else if ($path['extension'] == 'png') {
				$create = ImageCreateFromPng($filepath);
				$type = 'ImagePng';
			}
			else if ($path['extension'] == 'jpg' || $path['extension'] == 'jpe' || $path['extension'] == 'jpeg') {
				$create = ImageCreateFromJpeg($filepath);
				$type = 'ImageJpeg';
			}
			
			if ($create) {
				$color = ImageColorALLocate($create, $_POST['color_1'], $_POST['color_2'], $_POST['color_3']);
			
				if ($_POST['padding'] == 'foot') {
					$padding = imageSY($create) - ($_POST['size'] * 8);
				} else {
					$padding = 1;
				}
				
				ImageString($create, intval($_POST['size']), (ImageSX($create) / 2) - (iconv_strlen($_POST['text']) * 3), $padding, htmlspecialchars($_POST['text']), $color);
			
				if ($type($create, $filepath, 100)) {
					$count ++;
				}
			
			}
			
		}
		
		header('Refresh: 1');
		echo '<div class="menu">Всего картинок: '.$all.', промаркировано: '.$count.'</div>';
	}
	
}

echo '<form class="menu" action="" method="post">
<b>Текст:</b><br/><input type="text" name="text" value="'.getenv('HTTP_HOST').'"/><br/>
<b>Расположение:</b><br/><select name="padding">
<option value="head">Вверху</option>
<option value="foot">Внизу</option>
</select><br/>
<b>Размер шрифта:</b><br/><input type="text" name="size" value="2" size="4"/><br/>
<b>Цвет:</b/><br/>
<input type="text" name="color_1" value="200" size="3"/> <input type="text" name="color_2" value="200" size="3"/> <input type="text" name="color_3" value="200" size="3"/><br/>
<input type="submit" name="submit" value="Маркировать"/>
</form>

<div class="error">На картинки будет нанесена указанная надпись, удалить ее будет невозможно!</div>

<div class="block"><a href="'.ADMIN.'">Админ-панель</a></div>';
require_footer();
?>